summaryrefslogtreecommitdiffstats
path: root/debian/rsyslog.prerm
diff options
context:
space:
mode:
Diffstat (limited to '')
-rw-r--r--debian/rsyslog.prerm10
1 files changed, 10 insertions, 0 deletions
diff --git a/debian/rsyslog.prerm b/debian/rsyslog.prerm
new file mode 100644
index 0000000..503b849
--- /dev/null
+++ b/debian/rsyslog.prerm
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+set -e
+
+# Stop the socket on remove so rsyslog is not restarted via socket activation
+if [ -d /run/systemd/system ] && [ "$1" = remove ] ; then
+ systemctl stop syslog.socket || true
+fi
+
+#DEBHELPER#